API ReferenceapiintegrationsPOST /v1/admin/youtube/podcast/poll

POST /v1/admin/youtube/podcast/poll

Service: integrations · operationId: (none)

Required scopes

(no scope declared — review service config)

Responses

200 Poll YouTube and publish any new podcast episodes

{
  "type": "object",
  "properties": {
    "fetched": {
      "type": "integer"
    },
    "created": {
      "type": "integer"
    },
    "skipped": {
      "type": "integer"
    },
    "created_video_ids": {
      "type": "array",
      "items": {
        "type": "string"
      }
    }
  },
  "required": [
    "fetched",
    "created",
    "skipped",
    "created_video_ids"
  ]
}

412 Missing YouTube configuration

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

500 Polling failed

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X POST https://integrations.platform.loop.health/v1/admin/youtube/podcast/poll \
  -H "Authorization: Bearer $ACCESS_TOKEN"